## ros-humble-plansys2-executor 2.0.9

=== test/CMakeLists.txt ===
set(TEST_PDDL_DIR ${CMAKE_CURRENT_SOURCE_DIR}/pddl)
set(TEST_BEHAVIOR_TREES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test_behavior_trees)
set(TEST_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test_data)
set(TEST_LAUNCH_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test_launch_files)

install(DIRECTORY
  ${TEST_PDDL_DIR}
  ${TEST_BEHAVIOR_TREES_DIR}
  ${TEST_DATA_DIR}
  DESTINATION share/${PROJECT_NAME}
)

add_subdirectory(unit)
#add_subdirectory(integration)

=== test/unit/CMakeLists.txt ===
ament_add_gtest(executor_test executor_test.cpp TIMEOUT 300)
target_compile_definitions(executor_test PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(executor_test ${PROJECT_NAME})

ament_add_gtest(action_execution_test action_execution_test.cpp)
target_compile_definitions(action_execution_test PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(action_execution_test ${PROJECT_NAME})


ament_add_gtest(execution_tree_test execution_tree_test.cpp)
target_compile_definitions(execution_tree_test PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(execution_tree_test ${PROJECT_NAME})
ament_target_dependencies(execution_tree_test ${dependencies})

ament_add_gtest(btbuilder_tests btbuilder_tests.cpp)
target_compile_definitions(btbuilder_tests PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(btbuilder_tests ${PROJECT_NAME})
ament_target_dependencies(btbuilder_tests ${dependencies})

ament_add_gtest(bt_node_test bt_node_test.cpp)
target_compile_definitions(bt_node_test PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(bt_node_test ${PROJECT_NAME})
ament_target_dependencies(bt_node_test ${dependencies})

ament_add_gtest(bt_node_test_charging bt_node_test_charging.cpp)
target_compile_definitions(bt_node_test_charging PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(bt_node_test_charging ${PROJECT_NAME})
ament_target_dependencies(bt_node_test_charging ${dependencies})

=== debian/changelog ===
ros-humble-plansys2-executor (2.0.9-1jammy) jammy; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Expose lifecyclemanager timeout as a parameter, other misc fixes/features
  * Linters are explicit
  * Add ctor to ExecutorClient for varying node name
  * Fix uninitialized variable in ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Merge pull request #223 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/223> from IntelligentRoboticsLabs/fix_threads_buildfarm
    Fix threads buildfarm
  * Fix ROS2 Buildfarm error due to Threads
  * Merge pull request #217 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/217> from jjzapf/check-action-finished
    Check action finished
  * check-action-finished: Putting leftover requirement check after state update in get_graph function.
  * check-action-finished: Use distinct names for temporary predicate/function variables inside of while loop.
  * check-action-finished: Reverting previous changes. Adding checks to WaitAction node to verify that action has finished.
  * check-action-finished: Fixing problem_expert.wait_overall_req_test in plansys2_executor/bt_node_test.cpp.
  * check-action-finished: Do not declare failure in check_overall_req_node if action has already finished.
  * Merge pull request #209 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/209> from sarcasticnature/master
    Improvements on recent BtActionNode changes
  * Merge pull request #216 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/216> from jjzapf/action-graph-bug-fix
    Plan-to-Action Graph Bug Fix
  * action-graph-bug-fix: Not applying at end effects when testing if actions can be run in parallel. Fixing bug in prune_backwards function.
  * Update unit tests to match changes
  * Remove extra do_work() call in on_activate()
    do_work() may call the function finish(), which will fail to deactivate
    the node if it is still in the on_activate callback.
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Merge pull request #208 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/208> from xydesa/plan-dotgraph-bug
    Plan dotgraph color bug
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Removing unused variable.
  * More accurately getting the status of an action by including the action's start time in the index for coloring the dotgraph.
  * Contributors: Alexander Xydes, Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.2-1jammy) jammy; urgency=high

  * Use apply and check method to create action graph
  * plan-to-action-graph-mod: Using apply and check method to search for causal links.
  * generalize-is-parallelizable: Cleaning up comments a bit.
  * generalize-is-parallelizable: Checking for contradictions at any point in time in the is_parallelizable function.
  * generalize-is-parallelizable: Improving human readability.
  * generalize-is-parallelizable: Applying ament uncrustify.
  * generalize-is-parallelizable: Generalizing the is_parallelizable function in BTBuilder so that the functions will also be checked.
  * action-graph-test: Adding unit test to verify action graph generation.
  * action-graph-fix: Using std::list to create action graph rather than …
  * action-graph-fix: Shortening line lengths to <100 characters. Applying ament uncrustify.
  * action-graph-fix: Checking for existing link before adding one when creating action graph.
  * Check all reqs and effect for roots
  * action-graph-fix: Setting executor_test TIMEOUT value to 300.
  * Add options to run command in plansys2 Terminal
  * Change runtime failures to BT::NodeStatus::FAILURE, add logging info to ExecutorClient
  * Add options to run command
  * action-graph-fix: Using std::list to create action graph rather than std::set. A std::set does not maintain insertion order, whereas a std::list does. Maintaining insertion order guarantees that graph traversal follows the same path as graph creation.
  * action-graph-test: Adding unit test to verify action graph generation.
  * Add Status recency in performers
  * Remove unnecessary node pointer
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Logger tool - performers and plan
  * Logger tool - knowledge, info and action hub
  * Elevate failure logging from INFO to WARN/ERROR
  * Add action failure details to ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-executor (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * Update launcher param names
  * Improve debug info
  * remove-invalid-goals: Removing invalid goals when instances are removed. Keep track of update time in problem expert.
  * Merge galactic-devel


=== debian/control ===
Source: ros-humble-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-behaviortree-cpp-v3, ros-humble-lifecycle-msgs, ros-humble-plansys2-core, ros-humble-plansys2-domain-expert, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-cascade-lifecycle, ros-humble-rclcpp-lifecycle, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-humble-ament-index-cpp, ros-humble-behaviortree-cpp-v3, ros-humble-lifecycle-msgs, ros-humble-plansys2-core, ros-humble-plansys2-domain-expert, ros-humble-plansys2-msgs, ros-humble-plansys2-pddl-parser, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-popf, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-cascade-lifecycle, ros-humble-rclcpp-lifecycle, ros-humble-std-msgs, ros-humble-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-plansys2-executor//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
